- alias: Roku Ambilight HDMI
  trigger:
  - platform: event
    event_type: roku_command
    event_data:
      source_name: Home Assistant
      type: keypress
      key: Fwd
  action:
    service: light.turn_on
    data:
      entity_id: light.ambilight
      effect: "HDMI"
- alias: Roku Ambilight Effect Rainbow
  trigger:
  - platform: event
    event_type: roku_command
    event_data:
      source_name: Home Assistant
      type: keypress
      key: Play
  action:
    service: light.turn_on
    data:
      entity_id: light.ambilight
      effect: "Rainbow swirl"
- alias: Roku Ambilight Light
  trigger:
  - platform: event
    event_type: roku_command
    event_data:
      source_name: Home Assistant
      type: keypress
      key: Rev
  action:
    service: light.turn_on
    data:
      entity_id: light.ambilight
      rgb_color: [255,63,0]
      brightness: 255
- alias: Roku Ambilight Toggle
  trigger:
  - platform: event
    event_type: roku_command
    event_data:
      source_name: Home Assistant
      type: keypress
      key: Left
  action:
    service: light.toggle
    data:
      entity_id: light.ambilight

- alias: Roku Mood Light Toggle
  trigger:
  - platform: event
    event_type: roku_command
    event_data:
      source_name: Home Assistant
      type: keypress
      key: Right
  action:
    service: light.toggle
    data:
      entity_id: light.stimmungslicht